#ifndef CHARGE_FRAME_H
#define CHARGE_FRAME_H

#include <QtGui>


class ChargeFrame : public QFrame {
	Q_OBJECT
private:
	int currentValue_;
	int maximumValue_;
public:
	ChargeFrame(QWidget * parent) : QFrame(parent) {
		maximumValue_ = 0;
		currentValue_ = 0;
	}
protected:
	void paintEvent(QPaintEvent * e);
public:
	void setCurrentValue(int value) {
		this->currentValue_ = value;

		update();
	}
	void setMaximumValue(int value) {
		this->maximumValue_ = value;

		update();
	}
};

#endif